<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrTechnologyPlanProjectMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrTechnologyPlanProject">
            <id property="csid" column="CSID" jdbcType="INTEGER"/>
            <result property="xh" column="XH" jdbcType="VARCHAR"/>
            <result property="xmd" column="XMD" jdbcType="VARCHAR"/>
            <result property="xmmc" column="XMMC" jdbcType="VARCHAR"/>
            <result property="cddw" column="CDDW" jdbcType="VARCHAR"/>
            <result property="xmfzr" column="XMFZR" jdbcType="VARCHAR"/>
            <result property="qznx" column="QZNX" jdbcType="VARCHAR"/>
            <result property="bk" column="BK" jdbcType="DECIMAL"/>
            <result property="zgks" column="ZGKS" jdbcType="VARCHAR"/>
            <result property="bz" column="BZ" jdbcType="VARCHAR"/>
            <result property="iTime" column="I_TIME" jdbcType="TIMESTAMP"/>
            <result property="uniCode" column="uni_code" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        CSID,XH,XMD,
        XMMC,CDDW,XMFZR,
        QZNX,BK,ZGKS,
        BZ,I_TIME,uni_code
    </sql>
</mapper>
